Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class Factory

    java.lang.Object
      com.hp.hpl.jena.graph.Factory

    public class Factory

extends java.lang.Object

A factory class for creating Graphs.

Author:
  kers

Field Summary
`static boolean` | `faster` Deprecated. -- doesn't do anything anymore.
`static boolean` | `newHashing` Deprecated. -- doesn't do anything anymore.

Method Summary
`static Graph` | `createDefaultGraph()` Answer a memory-based Graph with the Standard reification style.
`static Graph` | `createDefaultGraph(ReificationStyle style)` Answer a memory-based Graph with the given reification style.
`static Graph` | `createGraphMem()`
`static Graph` | `createGraphMem(ReificationStyle style)`
`static Graph` | `createGraphMemWithTransactionHandler(TransactionHandler th)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### faster

    public static final boolean faster

  Deprecated. -- doesn't do anything anymore.
  See Also:
    Constant Field Values

### newHashing

    public static final boolean newHashing

  Deprecated. -- doesn't do anything anymore.
  See Also:
    Constant Field Values

Method Detail

### createDefaultGraph

    public static Graph createDefaultGraph()

  Answer a memory-based Graph with the Standard reification style.

### createDefaultGraph

    public static Graph createDefaultGraph(ReificationStyle style)

  Answer a memory-based Graph with the given reification style.

### createGraphMem

    public static Graph createGraphMem()

### createGraphMem

    public static Graph createGraphMem(ReificationStyle style)

### createGraphMemWithTransactionHandler

    public static Graph createGraphMemWithTransactionHandler(TransactionHandler th)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP